@echo off
REM Usage: launchClient [<ear-file> | -help | -?]
setlocal

call "%~dp0setupCmdLine.bat"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console
set NAMING_FACTORY=com.ibm.websphere.naming.WsnInitialContextFactory
set JAAS_LOGIN_CONFIG=-Djava.security.auth.login.config="%WAS_HOME%\properties\wsjaas_client.conf"
set ORB_RAS_MGR=-Dcom.ibm.CORBA.RasManager=com.ibm.websphere.ras.WsOrbRasManager 

REM "%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% "%CLIENTSAS%" "%CLIENTSOAP%" %ORB_RAS_MGR% -Dwas.install.root="%WAS_HOME%" -Dws.ext.dirs="%WAS_EXT_DIRS%" %JAAS_LOGIN_CONFIG% -Dcom.ibm.CORBA.BootstrapHost=%DEFAULTSERVERNAME% -Dcom.ibm.CORBA.BootstrapPort=%SERVERPORTNUMBER% -Djava.naming.factory.initial=%NAMING_FACTORY% %USER_INSTALL_PROP% -Xbootclasspath/p:"%WAS_BOOTCLASSPATH%" -classpath "%WAS_CLASSPATH%" com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.client.applicationclient.launchClient %*
"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% "%CLIENTSAS%" "%CLIENTSOAP%" %ORB_RAS_MGR% -Dwas.install.root="%WAS_HOME%" -Dws.ext.dirs="%WAS_EXT_DIRS%" %JAAS_LOGIN_CONFIG% -Dcom.ibm.CORBA.BootstrapHost=%DEFAULTSERVERNAME% -Dcom.ibm.CORBA.BootstrapPort=%SERVERPORTNUMBER% -Djava.naming.factory.initial=%NAMING_FACTORY% %USER_INSTALL_PROP% -Xbootclasspath/p:"%WAS_BOOTCLASSPATH%" -classpath "%WAS_CLASSPATH%" com.ibm.ws.bootstrap.WSLauncher ACert "%WAS_HOME%" %WAS_CELL% %* 

endlocal


